<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">
        <link rel="icon" href="../../favicon.ico">

        <title>CONNEXUS by UX | Main</title>

        <!-- Latest compiled and minified CSS -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css">

        <!-- Optional theme -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap-theme.min.css">

        <!-- Latest compiled and minified JavaScript -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js"></script>

        <style>
            .large
            {
                -ms-transform: scale(1.5); /* IE */
                -moz-transform: scale(1.5); /* FF */
                -webkit-transform: scale(1.5); /* Safari and Chrome */
                -o-transform: scale(1.5); /* Opera */
                padding: 10px;
            }

        </style>

    </head>
    <body id = "box">
        <nav class="navbar navbar-default" role="navigation">
            <div id = "bar" class="container-fluid">
                <!-- Brand and toggle get grouped for better mobile display -->
                <div id = "bar" class="navbar-header">
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="../../../index.html"><font color = white>UX</font></a>
                </div>

                <!-- Collect the nav links, forms, and other content for toggling -->
                <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                    <ul class="nav navbar-nav">

                        <li class="dropdown">
                            <a id = "bar" href="./independence/" class="dropdown-toggle" data-toggle="dropdown">Independence<span class="caret"></span></a>
                            <ul id ="bar" class="dropdown-menu" role="menu">
                                <li><a href="../../../independence/family/index.html"><font color = white>Family</font></a></li>
                                <li><a href="../../../independence/fin_planning/index.html"><font color = white>Financial Planning</font></a></li>
                                <li><a href="../../../independence/innovation_store/index.html"><font color = white>Innovation Store</font></a></li>
                            </ul>
                        </li>
                        <li class="dropdown">
                            <a id = "bar" href="#" class="dropdown-toggle" data-toggle="dropdown">Health and Wellness<span class="caret"></span></a>
                            <ul id = "bar" class="dropdown-menu" role="menu">
                                <li><a href="../../../health_wellness/medical_information/index.html"><font color = white>Medical Information</font></a></li>
                                <li><a href="../../../health_wellness/personal_health_records/index.html"><font color = white>Personal Health Records</font></a></li>
                                <li><a href="../../../health_wellness/wellness/index.html"><font color = white>Wellness</font></a></li>
                                <li><a href="../../../health_wellness/chronic_disease_management/index.html"><font color = white>Chronic Disease Management</font></a></li>
                            </ul>
                        </li>
                        <li class="dropdown">
                            <a id = "bar" href="#" class="dropdown-toggle" data-toggle="dropdown">Services<span class="caret"></span></a>
                            <ul id = "bar" class="dropdown-menu" role="menu">
                                <li><a href="../../../services/home_services/index.html"><font color = white>Home Services</font></a></li>
                                <li><a href="../../../services/training/index.html"><font color = white>Training</font></a></li>
                                <li><a href="../../../services/nurse/index.html"><font color = white>Nurse Navigator</font></a></li>
                            </ul>
                        </li>
                    </ul>

                </div><!-- /.navbar-collapse -->
            </div><!-- /.container-fluid -->
        </nav>
        <div class="starter-template" style="text-align : center">
            <h1>CONNEX<b>US</b> <span style="color: grey">by UX</span></h1>
            <h1><u><b>CHF Checklist</b></u></h1>
            <h2>Select conditions below and press 
                <button class="btn btn-primary btn-lg" id="foo2" class="btn btn-default" data-toggle="modal" onclick="bar()" data-target="#myModal">
                    Check Health
                </button>
                button.

            </h2>
        </div>
        <div class="container">
            <form id="global">
                <div class="form-group" style="text-align : left; font-size: 150%">
                    <div class="checkbox"><label><div class="well"><input type="checkbox" name="greens" class="large" >You have no shortness of breath.</div></label></div><br>
                    <div class="checkbox"><label><div class="well"><input type="checkbox" name="greens" class="large" >You have no weight gain more than 2 pounds (it may change 1 or 2 pounds some days)</div></label></div><br>
                    <div class="checkbox"><label><div class="well"><input type="checkbox" name="greens" class="large" >You have no swelling of your feet, ankles, legs, or stomach.</div></label></div><br>
                    <div class="checkbox"><label><div class="well"><input type="checkbox" name="greens" class="large" >No chest pain.</div></label></div><br>
                    <div class="checkbox"><label><div class="well"><input type="checkbox" name="yellows" class="large" >You have a weight gain of 3 pounds in one day.</div></label></div><br>
                    <div class="checkbox"><label><div class="well"><input type="checkbox" name="yellows" class="large" >You have a weight gain of 5 pounds or more in one week.</div></label></div><br>
                    <div class="checkbox"><label><div class="well"><input type="checkbox" name="yellows" class="large" >You have more shortness of breath especially with activity or lying down.</div></label></div><br>
                    <div class="checkbox"><label><div class="well"><input type="checkbox" name="yellows" class="large" >You have more swelling of your feet, ankles, legs or stomach.</div></label></div><br>
                    <div class="checkbox"><label><div class="well"><input type="checkbox" name="yellows" class="large" >You are feeling more tired without energy.</div></label></div><br>
                    <div class="checkbox"><label><div class="well"><input type="checkbox" name="yellows" class="large" >You have a dry hacky cough.</div></label></div><br>
                    <div class="checkbox"><label><div class="well"><input type="checkbox" name="yellows" class="large" >You have dizziness.</div></label></div><br>
                    <div class="checkbox"><label><div class="well"><input type="checkbox" name="yellows" class="large" >You have a sense of uneasiness that something is not right.</div></label></div><br>
                    <div class="checkbox"><label><div class="well"><input type="checkbox" name="yellows" class="large" >You need to sleep sitting up in a chair.</div></label></div><br>
                    <div class="checkbox"><label><div class="well"><input type="checkbox" name="reds" class="large" >Struggling to breathe. Unrelieved shortness of breath while sitting still.</div></label></div><br>
                    <div class="checkbox"><label><div class="well"><input type="checkbox" name="reds" class="large" >Have chest pain and/or discomfort; cold sweats.</div></label></div><br>
                    <div class="checkbox"><label><div class="well"><input type="checkbox" name="reds" class="large" >Have confusion or can’t think clearly.</div></label></div><br>
                </div>

            </form>

            <button class="btn btn-primary btn-lg" id="foo2" class="btn btn-default" data-toggle="modal" onclick="bar()" data-target="#myModal">
                Check Health
            </button>

        </div>
        <!-- Modal -->
        <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                        <h4 class="modal-title" id="myModalLabel">Modal title</h4>
                    </div>
                    <div class="modal-body" id="modal-value">
                        <div class="alert alert-success" role="alert">
                            <a href="#" class="alert-link">...</a>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>

        <script>
            function getCheckboxValues() {
                var form = document.getElementById("global");
                var red = 0;
                var yellow = 0;
                var green = 0;
                var gs = form.greens;
                var ys = form.yellows;
                var rs = form.reds;
                for (var i = 0; i < rs.length; ++i)
                {
                    if (rs[i].checked)
                    {
                        ++red;
                    }
                }
                for (var i = 0; i < ys.length; ++i)
                {
                    if (ys[i].checked)
                    {
                        ++yellow;
                    }
                }
                for (var i = 0; i < gs.length; ++i)
                {
                    if (gs[i].checked)
                    {
                        ++green;
                    }
                }
                if (red > 0)
                {
                    return 2;
                } else if (yellow > 0)
                {
                    return 1;
                } else
                {
                    return 0;
                }
            }

            function bar()
            {
                var i = getCheckboxValues();
                var val = document.getElementById("modal-value");
                if (i == 0)
                {
                    val.innerHTML = '<div class="alert alert-success" role="alert"><a href="#" class="alert-link"><h2>ALL CLEAR</h2><br><p>Your symptoms are under control</p></a></div>';
                }
                else if (i == 1)
                {
                    val.innerHTML = '<div class="alert alert-warning" role="alert"><a href="tel:214-587-5827" class="alert-link"><h2>WARNING</h2><br><p>Call your doctor\'s office</p></a></div>';
                }
                else if (i == 2)
                {
                    val.innerHTML = '<div class="alert alert-danger" role="alert"><a href="tel:911" class="alert-link"><h2>EMERGENCY!!!</h2><br><p>Go to the emergency room or call 911</p></a></div>';
                }
                else
                {

                }
            }
        </script>
        <style>
        #button{
            background-color: black;
            color: red;
        }
        #box{
            background-color: black;
            color:red;
        }
        #bar{
            background-color: gray;
            color: white;
        }
        </style>
    </body>
</html>